runkit_class_emancipate
runkit_constant_redefine
runkit Funktionen
PHP Manual

# runkit_constant_add

(PECL runkit:0.7-0.9)

runkit_constant_add — Similar to define(), but allows defining in class definitions as well

### Beschreibung

bool runkit_constant_add ( string `$constname` , mixed `$value` )

### Parameter-Liste

`constname`

  Name of constant to declare. Either a string to indicate a global constant, or classname::constname to indicate a class constant.

`value`

  NULL, Bool, Long, Double, String, or Resource value to store in the new constant.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`.

### Siehe auch

- define()
- runkit_constant_redefine()
- runkit_constant_remove()

runkit_class_emancipate
runkit_constant_redefine
runkit Funktionen
PHP Manual